A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
freeHost
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Managing devices in ArrayFire

Free memory allocated on host internally by ArrayFire More...

## Functions
AFAPI void | freeHost (const void *ptr)
| Free memory allocated internally by ArrayFire.
AFAPI af_err | af_free_host (void *ptr)

## Detailed Description

Free memory allocated on host internally by ArrayFire

This function is used for freeing memory on host that was allocated within ArrayFire. This is useful where the compiler version of ArrayFire library is different from the executable's compiler version.

It does not use ArrayFire's memory manager.

## Function Documentation

## ◆ af_free_host()

AFAPI af_err af_free_host | ( | void * | ptr | ) |

## ◆ freeHost()

AFAPI void freeHost | ( | const void * | ptr | ) |

Free memory allocated internally by ArrayFire.

Free memory allocated on host internally by ArrayFire

This function is used for freeing memory on host that was allocated within ArrayFire. This is useful where the compiler version of ArrayFire library is different from the executable's compiler version.

It does not use ArrayFire's memory manager.

Parameters

  [in] | ptr | the memory to free